/*
** $Id: elist.h,v 1.1 2015/05/22 00:58:09 lpitcher Exp $
**
** Each struct eList node describes a single executable resource.
** The last node in the list (ExecNext == NULL) describes the
** "target" script (ExecTarget) & it's associated interpreter
** (ExecParm.ExecInterp), while all other nodes in the list
** (ExecNext != NULL) describe a single resource (ExecTarget)
** and it's associated semaphore file (ExecParm.ExecFile)
*/
#ifndef ELIST_H
#define ELIST_H "$Revision: 1.1 $"

struct eList {
  struct eList	*ExecNext;
  char		*ExecTarget;
  union {
    int		 ExecFile;
    char	*ExecInterp;
  } ExecParm;
};

typedef struct eList elist;

#endif
/*
** Copyright Lew Pitcher (lew.pitcher@digitalfreehold.ca) February, 2013
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 as
** published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along
** with this program (see the licence.txt file); if not, write to the Free
** Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
** 02110-1301 USA.
*/
