/*
** $Id: sem_util.h,v 1.1 2015/05/22 00:58:09 lpitcher Exp $
**
*/
#ifndef SEM_UTIL_H
#define SEM_UTIL_H "$Revision: 1.1 $"

/*
** MACROs passed to or returned by sem_util functions:
**
**	COUNTERROR	error value returned by getCount() - outside the range of 0 - 99999
*/
#define COUNTERROR	(-1)

/*
** sem_util public functions
**
**	getCount()	retrieves a five-character value from the provided fd
**			and converts it to an integer value
**			Accepts: an integer representing a Unix FD
**			Updates: nothing
**			Returns: COUNTERROR if value not a 5-digit integer
**				 value (0 to 99999) of the contents of the file
**
**	putCount()	writes a five-digit value to the indicated FD
**			Accepts: an integer representing a Unix FD
**				 an integer representing the value to be written
**			Updates: the file associated with the FD
**			Returns: nothing
**
**	putBuffer()	writes a five-character value to the indicated FD
**			Accepts: an integer representing a Unix FD
**				 an pointer to a five-character buffer
**			Updates: the file associated with the FD
**			Returns: nothing
*/
int getCount(int);
void putCount(int, int);
void putBuffer(int , char [5]);

#endif
/*
** Copyright Lew Pitcher (lew.pitcher@digitalfreehold.ca) February, 2013
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License version 2 as
** published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along
** with this program (see the licence.txt file); if not, write to the Free
** Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
** 02110-1301 USA.
*/
